#
# spec file for package pasystray
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} == 1315
%define build_wayland_backend 0
%else
%define build_wayland_backend 1
%endif
Name:           pasystray
Version:        0.6.0
Release:        3.2
Summary:        PulseAudio system tray
License:        LGPL-2.1+
Group:          System/GUI/Other
Url:            https://github.com/christophgysin/pasystray
Source:         https://github.com/christophgysin/pasystray/archive/pasystray-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(avahi-ui)
BuildRequires:  pkgconfig(avahi-ui-gtk3)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-broadway-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-broadway-3.0)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(gtk+-x11-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libpulse-simple)
Suggests:       paman
Suggests:       paprefs
Suggests:       pavucontrol
Suggests:       pavumeter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{build_wayland_backend}
BuildRequires:  pkgconfig(gdk-wayland-3.0)
BuildRequires:  pkgconfig(gtk+-wayland-3.0)
%endif

%description
A replacement for the deprecated padevchooser

Pasystray allows setting the default PulseAudio source/sink and moving streams on the fly between sources/sinks without restarting the client applications.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
autoreconf -fi
%configure --sysconfdir=%{_sysconfdir}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
%suse_update_desktop_file  -u -r %{buildroot}%{_datadir}/applications/pasystray.desktop AudioVideo Mixer
%suse_update_desktop_file  -u -r %{buildroot}%{_sysconfdir}/xdg/autostart/pasystray.desktop AudioVideo Mixer

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md TODO
%dir %{_datadir}/pasystray
%{_sysconfdir}/xdg/autostart/pasystray.desktop
%{_bindir}/pasystray
%{_datadir}/applications/pasystray.desktop
%{_datadir}/icons/hicolor/scalable/apps/pasystray.svg
%{_mandir}/man1/pasystray.1%{ext_man}
%{_datadir}/pasystray/pasystray.glade
%{_datadir}/pixmaps/pasystray.png

%changelog
* Mon Jul 18 2016 petr@cervinka.net
- Version bump to 0.6.0:
  * start pavucontrol with ctrl-click on status icon
  * update systray icon on default sink change
  * add context menu option to move all in/outputs to sink/source
  * update the volume icon of non-default sinks
  * To fix notifications for changes of their volume level
  * possible to set the volume icon for notifications independent of the tray icon
  * use gauges for volume notifications
  * set notification icon when changing systray icon
  * send notifications only on volume / mute changes
  * add option to always send notifications on volume change
  * log systray implementation
  * add option to include monitors
  * support disabling status icon support
  * include volume and muted state in item name
  * set notification urgency to low
  * minor Housekeeping for README
  * deprecate --max-volume in favor of --volume-max
  * add option to disable all notifications
  * re-add volume-max option handling
  * update manpage with --volume-inc
  * add option to set volume increment
  * add TODO entries for feature requests
  * stop using stock GtkButton
  * check mii only where needed
  * start pavucontrol with ctrl-click on status icon
  * pasystray.desktop: Add missing semicolon to "Keywords"
- Removed patch icon_keywords_fix.patch (fixed in upstream)
* Mon Jan 11 2016 petr@cervinka.net
- updated License to LGPL-2.1+ in spec file
* Thu Jan  7 2016 petr.cervinka@gmail.com
- New package
- pasystray.desktop: Add missing semicolon to "Keywords"
- disabled wayland in build requirements for Leap 42.1 / SLE12
- spec file cleaned
